Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class SubstitutionGroupHandler

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.SubstitutionGroupHandler

public class SubstitutionGroupHandler
extends java.lang.Object

To store and validate information about substitutionGroup

Constructor Summary
`SubstitutionGroupHandler(XSGrammarBucket grammarBucket)` Default constructor

Method Summary
`void` | `addSubstitutionGroup(XSElementDecl[] elements)` add a list of substitution group information.
`XSElementDecl` | `getMatchingElemDecl(QName element, XSElementDecl exemplar)`
`XSElementDecl[]` | `getSubstitutionGroup(XSElementDecl element)` get all elements that can substitute the given element, according to the spec, we shouldn't consider the {block} constraints.
`boolean` | `inSubstitutionGroup(XSElementDecl element, XSElementDecl exemplar)`
`void` | `reset()` clear the internal registry of substitutionGroup information
`protected boolean` | `substitutionGroupOK(XSElementDecl element, XSElementDecl exemplar, short blockingConstraint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstitutionGroupHandler

    public SubstitutionGroupHandler(XSGrammarBucket grammarBucket)

  Default constructor

Method Detail

### getMatchingElemDecl

    public XSElementDecl getMatchingElemDecl(QName element,
                                             XSElementDecl exemplar)

### substitutionGroupOK

    protected boolean substitutionGroupOK(XSElementDecl element,
                                          XSElementDecl exemplar,
                                          short blockingConstraint)

### inSubstitutionGroup

    public boolean inSubstitutionGroup(XSElementDecl element,
                                       XSElementDecl exemplar)

### reset

    public void reset()

  clear the internal registry of substitutionGroup information

### addSubstitutionGroup

    public void addSubstitutionGroup(XSElementDecl[] elements)

  add a list of substitution group information.

### getSubstitutionGroup

    public XSElementDecl[] getSubstitutionGroup(XSElementDecl element)

  get all elements that can substitute the given element, according to the spec, we shouldn't consider the {block} constraints. from the spec, substitution group of a given element decl also contains the element itself. but the array returned from this method doesn't containt this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD